Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040599
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-04-11 15:132019-05-21 15:16
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision8babe1f19082
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040599: Stop using Vector<Object> where not useful as its bad coding style

DescriptionBoth:
- PaymentReportDao
- CashflowForecastReportActionHandler

use Vector<Object> with no good reason as they only put single type inside ever.

Apart of being bad-coding practice making code harder to read fixing it also works around bug in external code-checking tool.
https://github.com/typetools/checker-framework/issues/2422 [^]

Note for the fix: In PaymentReportDao the objectNames=="" was simplified instead of just fixing the type confusion.
Steps To Reproduce-
TagsNo tags attached.
Attached Filesdiff file icon 40599.diff [^] (2,036 bytes) 2019-04-11 15:14 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111085)
shuehner (administrator)
2019-04-11 15:14

Note: Patch is only compile tested so far
(0111167)
hgbot (developer)
2019-04-16 15:28

Repository: erp/devel/pi
Changeset: 8babe1f19082d00c4ca22a97dc226271cf2b7286
Author: Stefan Huehner <stefan.huehner <at> openbravo.com>
Date: Tue Apr 16 09:38:15 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8babe1f19082d00c4ca22a97dc226271cf2b7286 [^]

Fixed issue 40599 Stop using Vector<Object> where not useful as its bad coding style

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
M src/org/openbravo/common/actionhandler/CashflowForecastReportActionHandler.java
---
(0111168)
Sandrahuguet (developer)
2019-04-16 15:29

Code review + testing OK
(0111977)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-11 15:13 shuehner New Issue
2019-04-11 15:13 shuehner Assigned To => Triage Finance
2019-04-11 15:13 shuehner Modules => Core
2019-04-11 15:13 shuehner Triggers an Emergency Pack => No
2019-04-11 15:14 shuehner File Added: 40599.diff
2019-04-11 15:14 shuehner Note Added: 0111085
2019-04-16 15:28 hgbot Checkin
2019-04-16 15:28 hgbot Note Added: 0111167
2019-04-16 15:28 hgbot Status new => resolved
2019-04-16 15:28 hgbot Resolution open => fixed
2019-04-16 15:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8babe1f19082d00c4ca22a97dc226271cf2b7286 [^]
2019-04-16 15:29 Sandrahuguet Review Assigned To => Sandrahuguet
2019-04-16 15:29 Sandrahuguet Note Added: 0111168
2019-04-16 15:29 Sandrahuguet Status resolved => closed
2019-04-16 15:29 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111977


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker